package com.yonge.cooleshow.biz.dal.entity;

import com.yonge.cooleshow.biz.dal.enums.MessageIconTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import com.yonge.cooleshow.biz.dal.enums.MessageTypeEnum;

/**
 * 对应数据库表(sys_message_config):
 */
public class SysMessageConfig {

	/**  */
	private Long id;

	/** 消息类型 */
	private MessageTypeEnum messageType;

	/** 消息二级类型  */
	private MessageIconTypeEnum  subType;

	/** 消息内容 */
	private String content;

	/** 描述 */
	private String description;

	/** 最后修改时间 */
	private java.util.Date modifyOn;

	/** 跳转url */
	private String url;
	
	private String group;

	private Integer sendFlag;

	@ApiModelProperty("消息跳转类型  h5,app")
	private String action;

	@ApiModelProperty("跳转到那个页面")
	private String pageTag;

	@ApiModelProperty("其他参数 app参数，h5直接拼接在链接里")
	private String params;

	@ApiModelProperty("h5跳转链接")
	private String actionUrl;

	public String getAction() {
		return action;
	}

	public void setAction(String action) {
		this.action = action;
	}

	public String getPageTag() {
		return pageTag;
	}

	public void setPageTag(String pageTag) {
		this.pageTag = pageTag;
	}

	public String getParams() {
		return params;
	}

	public void setParams(String params) {
		this.params = params;
	}

	public String getActionUrl() {
		return actionUrl;
	}

	public void setActionUrl(String actionUrl) {
		this.actionUrl = actionUrl;
	}

	public Integer getSendFlag() {
		return sendFlag;
	}

	public void setSendFlag(Integer sendFlag) {
		this.sendFlag = sendFlag;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return this.id;
	}

	public MessageTypeEnum getMessageType() {
		return messageType;
	}

	public void setMessageType(MessageTypeEnum messageType) {
		this.messageType = messageType;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getContent() {
		return this.content;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getDescription() {
		return this.description;
	}

	public void setModifyOn(java.util.Date modifyOn) {
		this.modifyOn = modifyOn;
	}

	public java.util.Date getModifyOn() {
		return this.modifyOn;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getUrl() {
		return this.url;
	}

	public String getGroup() {
		return group;
	}

	public void setGroup(String group) {
		this.group = group;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public MessageIconTypeEnum getSubType() {
		return subType;
	}

	public void setSubType(MessageIconTypeEnum subType) {
		this.subType = subType;
	}
}
